.news-item {
    display: flex;
    width: 100%;
}

.news-item.ori-vertical {
    flex-direction: column;
}

.news-item.ori-horizontal {
    flex-direction: row;
}

.news-thumbnail {
    aspect-ratio: 16/9;
    overflow: hidden;
    border-radius: 8px;
    flex-shrink: 0;
}

.news-content {
    padding: 1rem 0;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.news-item.ori-horizontal .news-content {
    padding: 0.7rem 1rem 0.7rem 1.5rem;
    justify-content: center;
}

.news-title {
    font-size: 1.2rem;
    font-weight: 600;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.news-date,
.news-desc {
    font-size: 0.9rem;
}
